ingres_result_seek
ingres_set_environment
Ingres Functions
PHP Manual

# ingres_rollback

Roll back a transaction

### Description

bool ingres_rollback ( resource `$link` )

ingres_rollback rolls back the currently open transaction, actually cancelling all changes made to the database during the transaction.

This closes the transaction. A new transaction can be opened by sending a query with ingres_query.

### Parameters

`link`

  The connection link identifier

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- ingres_query
- ingres_commit
- ingres_autocommit